- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxAnimCurveFilterGimbleKiller Class Reference

Search for all occurrences

## Detailed Description

GimbleKiller filter.

This filter try to minimize gimble locks on rotation curves.

Remarks:
  The current implementation of this filter expects to process 3 curves at the same time.
  This filter has been superseded by the Unroll filter. It is strongly advised to use the latter.

Definition at line 435 of file fbxanimcurvefilters.h.

`#include <fbxanimcurvefilters.h>`

Inheritance diagram for FbxAnimCurveFilterGimbleKiller:
[legend]

List of all members.

## Public Member Functions
| FbxAnimCurveFilterGimbleKiller ()
| Constructor.
virtual | ~FbxAnimCurveFilterGimbleKiller ()
| Destructor.
virtual const char * | GetName () const
| Get the name of the filter.
virtual bool | NeedApply (FbxAnimStack *)
| This filter expects to work with 3 interdependent curves.
virtual bool | NeedApply (FbxObject *, FbxAnimStack *)
| This filter expects to work with 3 interdependent curves.
virtual bool | NeedApply (FbxAnimCurveNode &pCurveNode)
| Check if the animation curve node needs an application of the filter.
virtual bool | NeedApply (FbxAnimCurve **pCurve, int pCount)
| Check if the given animation curve need an application of the filter.
virtual bool | NeedApply (FbxAnimCurve &)
| This filter expects to work with interdependent curves.
virtual bool | Apply (FbxAnimStack *)
| This filter expects to work with 3 interdependent curves.
virtual bool | Apply (FbxObject *, FbxAnimStack *)
| This filter expects to work with 3 interdependent curves.
virtual bool | Apply (FbxAnimCurveNode &pCurveNode)
| Apply filter on all the curves of an animation curve node.
virtual bool | Apply (FbxAnimCurve **pCurve, int pCount)
| Apply filter on the given animation curve.
virtual bool | Apply (FbxAnimCurve &)
| This filter expects to work with interdependent curves.
virtual void | Reset ()
| Reset the filter to its default parameters.
bool | GetApplyKeySyncFilter () const
| Return `true` if key sync filter is enabled.
void | SetApplyKeySyncFilter (bool pFlag)
| Set to `true` to enable key sync filter.

## Constructor & Destructor Documentation

FbxAnimCurveFilterGimbleKiller | ( |  | ) |

Constructor.

virtual ~FbxAnimCurveFilterGimbleKiller | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const char* GetName | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the name of the filter.

Returns:
  Pointer to name.

Reimplemented from FbxAnimCurveFilter.

virtual bool NeedApply | ( | FbxAnimStack * |  | ) | `[inline, virtual]`

Search for all occurrences

This filter expects to work with 3 interdependent curves.

Passing the animation stack makes no sense. since this object would not know which curves to handle.

Parameters:

  pAnimStack | Animation stack

Returns:
  `false`.

Reimplemented from FbxAnimCurveFilter.

Definition at line 454 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool NeedApply | ( | FbxObject * | ,
|  | FbxAnimStack * |
| ) |  | `[inline, virtual]`

Search for all occurrences

This filter expects to work with 3 interdependent curves.

Collecting all the animation curves from the properties defined in pObj could not guarantee that we are manipulating 3 interdependent curves.

Parameters:

  pObj | Object containing the properties to test.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `false`

Reimplemented from FbxAnimCurveFilter.

Definition at line 462 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool NeedApply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[virtual]`

Search for all occurrences

Check if the animation curve node needs an application of the filter.

Parameters:

  pCurveNode | Curve node to test.

Returns:
  `true` if the animation curve node needs an application of the filter, `false` otherwise.

Remarks:
  This method checks that the pCurveNode is representing an Euler rotation. It will validate that 3 animation curves are defined. If the condition is not met, the method will return `false`.

Reimplemented from FbxAnimCurveFilter.

virtual bool NeedApply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[virtual]`

Search for all occurrences

Check if the given animation curve need an application of the filter.

Parameters:

  pCurve | Array of curves to test if they need the and application of the filter.
  pCount | Number of curves in array.

Returns:
  `true` if at least one animation curve in the array needs an application of the filter.

Remarks:
  Because this method only receives an array of interdependent curves, this filter assumes that they are all coming from an Euler rotation anim curve node. Therefore, it expects pCount to be equal to 3.

Reimplemented from FbxAnimCurveFilter.

virtual bool NeedApply | ( | FbxAnimCurve & |  | ) | `[inline, virtual]`

Search for all occurrences

This filter expects to work with interdependent curves.

Receiving one single curve is useless.

Returns:
  `false`

Reimplemented from FbxAnimCurveFilter.

Definition at line 486 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool Apply | ( | FbxAnimStack * |  | ) | `[inline, virtual]`

Search for all occurrences

This filter expects to work with 3 interdependent curves.

Passing the animation stack makes no sense since this object would not know which curves to handle.

Parameters:

  pAnimStack | Animation stack

Returns:
  `false`.

Reimplemented from FbxAnimCurveFilter.

Definition at line 493 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool Apply | ( | FbxObject * | ,
|  | FbxAnimStack * |
| ) |  | `[inline, virtual]`

Search for all occurrences

This filter expects to work with 3 interdependent curves.

Collecting all the animation curves from the properties defined in pObj could not guarantee that we are manipulating 3 interdependent curves.

Parameters:

  pObj | Object containing the properties to test.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `false`

Reimplemented from FbxAnimCurveFilter.

Definition at line 501 of file fbxanimcurvefilters.h.

    { return false; }

virtual bool Apply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[virtual]`

Search for all occurrences

Apply filter on all the curves of an animation curve node.

Parameters:

  pCurveNode | Curve node to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  This method collects all the FbxAnimCurve objects connected to the curve node and calls Apply(FbxAnimCurve**, int)

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[virtual]`

Search for all occurrences

Apply filter on the given animation curve.

Parameters:

  pCurve | Array of curve to which the filter is applied.
  pCount | Number of curves in array.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  Because this method only receives an array of interdependent curves, this filter assumes that they are all coming from an Euler rotation anim curve node. Therefore, it expects pCount to be equal to 3.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimCurve & |  | ) | `[inline, virtual]`

Search for all occurrences

This filter expects to work with interdependent curves.

Receiving one single curve is useless.

Returns:
  `false`

Implements FbxAnimCurveFilter.

Definition at line 524 of file fbxanimcurvefilters.h.

    { return false; }

virtual void Reset | ( |  | ) | `[virtual]`

Search for all occurrences

Reset the filter to its default parameters.

Reimplemented from FbxAnimCurveFilter.

bool GetApplyKeySyncFilter | ( |  | ) | const

Search for all occurrences

Return `true` if key sync filter is enabled.

void SetApplyKeySyncFilter | ( | bool | pFlag | ) |

Search for all occurrences

Set to `true` to enable key sync filter.

Parameters:

  pFlag | Key sync filter flag.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvefilters.h

FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller
FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller FbxAnimCurveFilterGimbleKiller